> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# वीडियो मॉडल सूचीबद्ध करें

> वीडियो प्लेग्राउंड और SDK सत्यापन के लिए डेटाबेस-आधारित वीडियो मॉडल/प्रदाता क्षमता मेटाडेटा लौटाता है।

वर्कस्पेस में पूर्वावलोकन सुविधा का ऐक्सेस आवश्यक है। सेटअप, वेबहुक और परिणामों को संभालने के लिए [वीडियो और बैच कार्य](../../guides/async-video-and-batch.mdx) देखें।


## OpenAPI

````yaml hi/openapi/v1/openapi.localized.yaml GET /videos/models
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    OpenAI-संगत एंडपॉइंट के माध्यम से विभिन्न AI मॉडल तक पहुँचने के लिए एक गेटवे
    API।
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: वैश्विक रूटिंग
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /videos/models:
    get:
      tags:
        - Gateway
      summary: वीडियो मॉडल की क्षमताएँ सूचीबद्ध करें
      description: >-
        वीडियो प्लेग्राउंड और SDK सत्यापन के लिए डेटाबेस-आधारित वीडियो
        मॉडल/प्रदाता क्षमता मेटाडेटा लौटाता है।
      operationId: listVideoModels
      parameters:
        - name: params
          in: query
          required: false
          description: >-
            समर्थित पैरामीटर का वैकल्पिक फ़िल्टर। पैरामीटर दोहराएँ या कॉमा से
            अलग सूची दें। कैनोनिकल नाम और aliases स्वीकार होते हैं, जैसे
            `resolution`, `size`, `duration` या `duration_seconds`।
          schema:
            type: array
            items:
              type: string
          style: form
          explode: false
      responses:
        '200':
          description: वीडियो मॉडल क्षमताओं की सूची
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoModelsResponse'
components:
  schemas:
    VideoModelsResponse:
      type: object
      properties:
        object:
          type: string
          example: list
        data:
          type: array
          items:
            $ref: '#/components/schemas/VideoModelCapability'
    VideoModelCapability:
      type: object
      properties:
        model:
          type: string
        name:
          type: string
        status:
          type: string
        input_types:
          type: array
          items:
            type: string
        output_types:
          type: array
          items:
            type: string
        supported_params:
          type: array
          items:
            type: string
        supported_parameters:
          type: array
          description: supported_params का संगतता alias।
          items:
            type: string
        supported_params_detail:
          $ref: '#/components/schemas/SupportedParameterDetails'
        supported_parameters_detail:
          $ref: '#/components/schemas/SupportedParameterDetails'
        providers:
          type: array
          items:
            $ref: '#/components/schemas/VideoModelProviderCapability'
        pricing:
          type: object
          additionalProperties: true
    SupportedParameterDetails:
      type: object
      description: >-
        अनुरोध पैरामीटर के लिए संरचित सीमाएँ और प्रदाता समर्थन, पैरामीटर नाम के
        अनुसार कुंजीबद्ध।
      additionalProperties:
        type: object
        additionalProperties: true
    VideoModelProviderCapability:
      type: object
      properties:
        id:
          type: string
        supported_params:
          type: array
          items:
            type: string
        supported_parameters:
          type: array
          description: supported_params का संगतता alias।
          items:
            type: string
        supported_params_detail:
          $ref: '#/components/schemas/SupportedParameterDetails'
        supported_parameters_detail:
          $ref: '#/components/schemas/SupportedParameterDetails'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer टोकन से प्रमाणीकरण

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.